> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account usage information. See input and output of this API
for info on what it can return.

> Get account usage information. See input and output of this API
for info on what it can return.

## OpenAPI

````json GET /sys/v1/accounts/{acct_id}/usage
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/accounts/{acct_id}/usage": {
      "get": {
        "operationId": "AccountUsage",
        "tags": [
          "Accounts"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Get account usage information. See input and output of this API\nfor info on what it can return.",
        "description": "Get account usage information. See input and output of this API\nfor info on what it can return.",
        "parameters": [
          {
            "name": "acct_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "$ref": "#/components/parameters/CountParams"
          }
        ],
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetUsageResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "CountParams": {
        "in": "query",
        "name": "CountParams",
        "schema": {
          "$ref": "#/components/schemas/CountParams"
        },
        "explode": true
      }
    },
    "schemas": {
      "GetUsageResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "The response from the account stats API (`/sys/v1/accounts/:acct_id/usage_report`).",
            "properties": {
              "num_operations": {
                "type": "integer",
                "description": "The count of all operations performed in the account. This value includes **both**\nkey management (e.g., CRUD ops) and cryptographic operations (e.g., encrypt/decrypt).\n\nTo illustrate, here are a few examples:\n- If you have a key which was copied to another group and then do a key rotation (with the key-links also being updated), the `num_operations` count will increase by two.\n- If you have a key and do an encrypt operation this will increase the `num_operations` and `encryption_operations` each by one.\n- If you delete a key, this will increase the only `num_operations` by one."
              },
              "encryption_operations": {
                "type": "integer",
                "nullable": true
              },
              "decryption_operations": {
                "type": "integer",
                "nullable": true
              },
              "sign_operations": {
                "type": "integer",
                "nullable": true
              },
              "verify_operations": {
                "type": "integer",
                "nullable": true
              },
              "tokenization_operations": {
                "type": "integer",
                "nullable": true
              },
              "detokenization_operations": {
                "type": "integer",
                "nullable": true
              },
              "secrets_operations": {
                "type": "integer",
                "nullable": true
              },
              "plugin_invoke_operations": {
                "type": "integer",
                "nullable": true
              },
              "apps": {
                "$ref": "#/components/schemas/AppCreditsUsage"
              },
              "plugin": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295,
                "nullable": true
              },
              "sobjects": {
                "type": "integer",
                "nullable": true,
                "description": "The total number of sobjects in the account, or\nan approximation thereof. This field is present if\nthe `saas_full_usage` query parameter is specified\nwhen retrieving account usage statistics.\n\nNote that all sobjects in the account are counted,\nregardless of whether the user has access to them."
              },
              "sobjects_accuracy": {
                "$ref": "#/components/schemas/CountAccuracy"
              },
              "hsm_gateway": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295,
                "nullable": true
              },
              "operation_top_app": {
                "type": "object",
                "additionalProperties": {
                  "type": "integer"
                },
                "nullable": true
              },
              "operation_top_sobject": {
                "type": "object",
                "additionalProperties": {
                  "type": "integer"
                },
                "nullable": true
              }
            },
            "required": [
              "num_operations"
            ]
          }
        ]
      },
      "CountParams": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "range_from": {
                "type": "integer"
              },
              "range_to": {
                "type": "integer"
              },
              "detailed_usage": {
                "type": "boolean"
              },
              "saas_full_usage": {
                "type": "boolean"
              }
            }
          }
        ]
      },
      "AppCreditsUsage": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "generic": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "tokenization": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "tep": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "accelerator": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "secrets_management": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "aws_cloud_accounts": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "azure_cloud_accounts": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "gcp_cloud_accounts": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "google_ekm_projects": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "aws_xks_instances": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              }
            },
            "required": [
              "generic",
              "tokenization",
              "tep",
              "accelerator",
              "secrets_management",
              "aws_cloud_accounts",
              "azure_cloud_accounts",
              "gcp_cloud_accounts",
              "google_ekm_projects",
              "aws_xks_instances"
            ]
          }
        ]
      },
      "CountAccuracy": {
        "description": "An indicator of how accurate a count of objects is.",
        "oneOf": [
          {
            "$ref": "#/components/schemas/CountAccuracyVariantExact"
          },
          {
            "$ref": "#/components/schemas/CountAccuracyVariantApproximate"
          }
        ],
        "discriminator": {
          "propertyName": "$type",
          "mapping": {
            "Exact": "CountAccuracyVariantExact",
            "Approximate": "CountAccuracyVariantApproximate"
          }
        }
      },
      "CountAccuracyVariantExact": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "$type": {
                "type": "string",
                "enum": [
                  "Exact"
                ]
              }
            },
            "required": [
              "$type"
            ]
          },
          {
            "type": "object",
            "properties": {}
          }
        ]
      },
      "CountAccuracyVariantApproximate": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "$type": {
                "type": "string",
                "enum": [
                  "Approximate"
                ]
              }
            },
            "required": [
              "$type"
            ]
          },
          {
            "type": "object",
            "properties": {}
          }
        ]
      }
    }
  }
}
````

